Subject: Re: ixgbe: get link speed as a slave nic unrelated with link

From: zhuyj <[email-masked]>
Date: Wed, 3 Feb 2016 18:17:48 +0800

Hi, Emil

Thanks for your reply.

I made simple tests. And maybe this patch should work. Because you can
reproduce this problem, would you like to make tests with this patch?

If this patch can fix this problem, it can prove that the root cause is 
correct.
We can find another solution to fix this problem.

If this patch can not fix this problem, maybe we should make further 
investigations
to find the root cause.

Thanks a lot.
Zhu Yanjun

On 02/01/2016 11:53 PM, Tantilov, Emil S wrote:
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]
>> Sent: Sunday, January 31, 2016 11:28 PM
>> To: [email-masked]; Tantilov, Emil S; Schmitt, Phillip J; Kirsher,
>> Jeffrey T; [email-masked]; [email-masked];
>> Shteinbock, Boris (Wind River)
>> Subject: ixgbe: get link speed as a slave nic unrelated with link
>>
>>
>> Hi, Emil
>>
>> Thanks for your patch.
>> After I applied your patch, the following are the feedback from my users.
>>
>> "
>> Users had tested the latest patch that you provided and it is much improved
>> now. However it’s still not good enough as the users are planning field
>> deployment. Here are their findings:
>>
>> So close, but not quite 100%. I did run over 2500 re-negotiations on one
>> interface of a bonded pair and got the 0 MBps status total of three times.
>> The longest run without single error was something like 1800 re-
>> negotiations or so. So, this version seems to improve the situation
>> immensely (the unpatched driver fails like 25% of the time), but there
>> still seems to remain some tiny race somewhere.
> Yes at the time of the bonding interface coming up there can be a message about 0 Mbps in dmesg,
> however the actual bond once fully up will have the correct speeds as seen by:
> #cat /proc/net/bonding/bond0
>
> Thanks,
> Emil
>
>